Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.wanderer
Class SLOC

    java.lang.Object
      com.bbn.openmap.util.wanderer.SLOC

All Implemented Interfaces:
  WandererCallback

public class SLOC
extends java.lang.Object
implements WandererCallback

Count the source lines of code but going through the directory and counting ; and }.

Constructor Summary
`SLOC()`

Method Summary
`int` | `getSLOC()`
`void` | `handleDirectory(java.io.File directory)` Do what you need to do to the directory.
`void` | `handleFile(java.io.File file)` Do what you need to do to the file.
`static void` | `main(java.lang.String[] argv)` Given a set of files or directories, parade through them to change their case.
`void` | `setSLOC(int num)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLOC

    public SLOC()

Method Detail

### setSLOC

    public void setSLOC(int num)

### getSLOC

    public int getSLOC()

### handleDirectory

    public void handleDirectory(java.io.File directory)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the directory.

  Specified by:
    `handleDirectory` in interface `WandererCallback`

### handleFile

    public void handleFile(java.io.File file)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the file.

  Specified by:
    `handleFile` in interface `WandererCallback`

### main

    public static void main(java.lang.String[] argv)

  Given a set of files or directories, parade through them to change their case.

  Parameters:
    `argv` - paths to files or directories, use -h to get a usage statement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details